# SUpload (Screenshot - Upload)

SUpload is an easy to use bash script for taking screenshots and uploading files to a curl supported file host.
Supports SFW and NSFW modes, perfect for shitposting, AND for work!

## Installation

To install this, you can follow the commands below:

```bash
git clone https://gitlab.com/Volkor/supload.git
cd SUpload
sudo make install
```

## Dependencies

- bash (this is important)
- curl (needed for actually uploading the file)
- jq (needed to parse the json responses)

## Optional dependencies

- maim OR scrot (optional, needed for screenshots)
- xclip (optional, needed for clipboard)
- libnotify (optional, needed for notifications)

## Usage

You can use `supload -h`, or view it below.

```bash
Usage: supload [OPTIONS] [FILE]

Options:

  -f      Safe for work mode, (uses volkor.me)
  -h      Show this menu
  -o      Automatically open in browser
  -s      Screenshot mode (maim Selection)
  -v      Shows current version of SUpload

Examples:

# Upload test.txt
$ supload test.txt

# Paste from STDIN (pipe from another command)
$ cat test.txt | supload -

# Screenshot
$ supload -s

# Screenshot, and upload to SFW domain, open in new window
$ supload -fos

# Screenshot and debug output
$ supload -Vs

Configuration:

The config file is located at ~/.config/supload/settings.conf.
If you delete this file, it will be created on next run. (It might have an
error about unable to mkdir)
```
