#!/bin/bash

#env var
DEBFULLNAME="Volkor The Barbarian Warrior"
USER="Volkor"

# install dependencies (this should be already done on the shell runner in gitlab though)
echo "Installing dependencies: This might take a while"
apt-get update > /dev/null && apt-get install -y build-essential dh-make devscripts apt-utils  > /dev/null

VERSION="1.0"

FOLDER="supload-$VERSION"

mkdir $FOLDER

# Copy files needed for packaging
cp supload.conf $FOLDER/supload.conf
cp supload.sh $FOLDER/supload
cd $FOLDER

# Generate empty package
dh_make --indep --createorig -c mit -e volkor@thecum.zone --yes

# move more files needed for packaging
cp ../ci/debian/control debian/control || exit 1
cp ../ci/debian/copyright debian/copyright || exit 1
cp ../ci/debian/changelog debian/changelog || exit 1

# Remove make calls
grep -v makefile debian/rules > debian/rules.new
mv debian/rules.new debian/rules

# add supload.sh to debian installer
echo supload usr/bin/ > debian/install
echo supload.conf etc/ >> debian/install

# Remove the example files
rm debian/*.ex
rm debian/*.EX
rm debian/README.Debian
rm debian/README.source

debuild -i -us -uc -b 

echo CI_COMMIT_MESSAGE