#!/bin/bash

set -e

install() {
    sudo install -C upload.sh /usr/bin/upload
    echo "Installed: upload tool"
    sudo install -C screenshot.sh /usr/bin/screenshot
    echo "Installed: screenshot tool"
}

checkpkg() {
    [ -x "$(which $1)" ]
}

func_apt-get() {
    echo "Detected Package Manager: apt/apt-get. Installing packages"
    sudo apt install curl xclip libnotify-bin maim
}

func_yum() {
    echo "Detected Package Manager: yum. Installing packages"
    echo "WARNING: untested on this system, if it does work please tell me."
    sudo yum install curl xclip libnotify
    echo "Warning: maim is not in the repositories install it here: https://github.com/naelstrof/maim"
}

func_pacman() {
    echo "Detected Package Manager: pacmam. Installing packages"
    echo "WARNING: untested on this system, if it does work please tell maintainer."
    sudo pacman -S curl xclip libnotify maim
}

func_zypper() {
    echo "Detected Package Manager: zypper. Installing packages"
    echo "WARNING: untested on this system, if it does work please tell maintainer."
    sudo zypper in curl xclip libnotify maim
}


if checkpkg apt-get ; then func_apt-get
elif checkpkg yum ; then func_yum
elif checkpkg pacman ; then func_pacman
elif checkpkg zypper ; then func_zypper
else
    echo 'No package manager found, install the packages manually. (curl xclip libnotify maim) and copy the files manually (read README.md)'
    exit 2
fi

install
