#!/bin/bash

# Upload files to https://p.thecum.zone/ copying URL to clipboard.
# ---------------------------------
# Depends:
# - curl
# - xclip
# 
# Optional Depends:
# - libnotify-bin (to say image has been uploaded)


# TODO:
# - Implement config file for key based auth.

# Default Config
SITE=https://thecum.zone/

# Functions
FILE=$1
upload(){
    echo "Uploading File: ($FILE)"
    URL=`curl --progress-bar -F file=@"$FILE" $SITE | grep -Eo 'https://thecum.zone/[^/"]+'`
    echo ${URL} | tr -d '\n' | xclip -selection clipboard || true
    echo "URL: ${URL}"
    notify
}


notify(){
    notify-send "File uploaded (Copied to clipboard)" "URL: ${URL}" || true
}


uploadPipe(){
    rand=`head -c 48 /dev/urandom | tr -dc 'a-zA-Z0-9'`
    foo=$(</dev/stdin)
    echo "$foo" > /tmp/$rand.txt
    FILE=/tmp/$rand.txt
    upload
}

#'''''Logic'''''
if [ ! -e "$FILE" ]; then
    uploadPipe
else 
    upload
fi
